# IniItem Struct Reference

A single "line" in an ini file. More...

`#include <ini_type.h>`

## Public Member Functions
| IniItem (struct IniGroup *parent, const char *name, size_t len=0)
| Construct a new in-memory item of an Ini file.
| ~IniItem ()
| Free everything we loaded.
void | SetValue (const char *value)
| Replace the current value with another value.
## Data Fields
IniItem * | next
| The next item in this group.
char * | name
| The name of this item.
char * | value
| The value of this item.
char * | comment
| The comment associated with this item.

## Detailed Description

A single "line" in an ini file.

Definition at line 15 of file ini_type.h.

## Constructor & Destructor Documentation

IniItem::IniItem | ( | struct IniGroup * | parent,
|  | const char * | name,
|  | size_t | len = `0` |
| ) |  |  |

Construct a new in-memory item of an Ini file.

Parameters:

  | parent | the group we belong to
  | name | the name of the item
  | len | the length of the name of the item

Definition at line 23 of file ini.cpp.

References IniGroup::last_item, and next.

IniItem::~IniItem | ( |  | ) |

Free everything we loaded.

Definition at line 32 of file ini.cpp.

References comment, name, next, and value.

## Member Function Documentation

void IniItem::SetValue | ( | const char * | value | ) |

Replace the current value with another value.

Parameters:

  | value | the value to replace with.

Definition at line 41 of file ini.cpp.

Referenced by ini_save_setting_list(), and SaveVersionInConfig().

The documentation for this struct was generated from the following files:

- src/ini_type.h
- src/ini.cpp